﻿Public Class frm_main
  Dim _dataView As DataView

  Private Sub MyBase_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
    Dim dt As New DataTable
    dt.Columns.Add("key")
    dt.Columns.Add("value")
    PopulateDataTable(dt)

    _dataView = New DataView(dt)
    lst_items.ValueMember = "key"
    lst_items.DisplayMember = "value"
    lst_items.DataSource = _dataView
  End Sub

  Private Shared Sub PopulateDataTable(dt As DataTable)
    Using sw As New IO.StreamReader("numbers.txt")
      Do
        Dim line As String = sw.ReadLine
        If line Is Nothing OrElse line.Trim = String.Empty Then Exit Do
        Dim a() As String = line.Split(",")
        Dim row As DataRow = dt.NewRow()
        row("key") = a(0)
        row("value") = a(1)
        dt.Rows.Add(row)
      Loop
      sw.Close()
    End Using
  End Sub

  Private Sub txt_search_TextChanged(sender As System.Object, e As System.EventArgs) Handles txt_search.TextChanged
    _dataView.RowFilter = String.Format("Value LIKE '%{0}%'", txt_search.Text)
  End Sub

End Class